libgpsbt (0.2-42) unstable; urgency=low

  * Dbus assert causes API crash if external BT is turned off in
    gpsbt_start(). Fixes: NB#80286

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Feb 2008 12:53:40 +0200

libgpsbt (0.2-41) unstable; urgency=low

  * Turn BT ON if it is OFF when BT GPS is being used. If the device is in
    offline mode, then BT is not turned ON. Fixes: NB#75139

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 17 Jan 2008 15:57:00 +0200

libgpsbt (0.2-40) unstable; urgency=low

  * Debug prints are only done if debugging is activated.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 18 Dec 2007 16:35:13 +0200

libgpsbt (0.2-39) unstable; urgency=low

  * Return error if run as root. Fixes: NB#74826

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  1 Nov 2007 10:14:27 +0200

libgpsbt (0.2-38) unstable; urgency=low

  * Disclaimer or enable/disable status is returned correctly.
    Fixes: NB#73608

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 18 Oct 2007 08:48:06 +0300

libgpsbt (0.2-37) unstable; urgency=low

  * Fixes: NB#72049

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  8 Oct 2007 12:38:46 +0300

libgpsbt (0.2-36) unstable; urgency=low

  * GPS device name (HOLUX) added so that it can be identified.
    Also honor the GPS device that user selected in controlpanel applet.
    Fixes: NB#72310

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  8 Oct 2007 09:46:52 +0300

libgpsbt (0.2-35) unstable; urgency=low

  * Added doxygen documentation

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  4 Oct 2007 12:02:03 +0300

libgpsbt (0.2-34) unstable; urgency=low

  * Added more comments to init script.
  * gpsdriver file (nvd_data) is now also removed from /var/lib/gps directory
    during factory reset or clear user settings operation.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  4 Oct 2007 10:27:34 +0300

libgpsbt (0.2-33) unstable; urgency=low

  * Refix for creating /var/lib/gps. Fixes: NB#70177

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 24 Sep 2007 12:51:51 +0300

libgpsbt (0.2-32) unstable; urgency=low

  * Removed dependency from closed osso-connectivity-ui-disclaimer package.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 20 Sep 2007 13:10:56 +0300

libgpsbt (0.2-31) unstable; urgency=low

  * Postinst creates /var/lib/gps now.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 20 Sep 2007 11:01:08 +0300

libgpsbt (0.2-30) unstable; urgency=low

  * Removed permission setting script because the /var/lib/gps directory
    is created with correct permissions to the flash image. Fixes: NB#68588
  * Removed emhemeral port setting because it is now found in standard image.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 19 Sep 2007 10:48:15 +0300

libgpsbt (0.2-29) unstable; urgency=low

  * GPS chip is powered off when GPS is stopped. Related to NB#65024

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 15 Aug 2007 12:53:41 +0300

libgpsbt (0.2-28) unstable; urgency=low

  * gpsbt_start() incorrectly counted number of bondings. Currently not
    a big problem because there is only one bluez adapter (hci devices).
    The bug is triggered if there are multiple hci devices. Fixes: NB#65745

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 14 Aug 2007 13:28:52 +0300

libgpsbt (0.2-27) unstable; urgency=low

  * GPS file permissions are only set when necessary. Fixes: NB#65374

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 13 Aug 2007 14:17:36 +0300

libgpsbt (0.2-26) unstable; urgency=low

  * Autoselected GPS devices are saved. Fixes: NB#65349

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  9 Aug 2007 16:07:10 +0300

libgpsbt (0.2-25) unstable; urgency=low

  * Use correct directory with correct permissions for temp file. Fixes: NB#65102

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  7 Aug 2007 08:52:18 +0300

libgpsbt (0.2-24) unstable; urgency=low

  * Enable/disable GPS dialog is only shown once/process when user presses
    cancel. Fixes: NB#64226

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 25 Jul 2007 11:10:48 +0300

libgpsbt (0.2-23) unstable; urgency=low

  * GPS settings are restored correctly. Fixes: NB#63599

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 18 Jul 2007 09:18:10 +0300

libgpsbt (0.2-22) unstable; urgency=low

  * Internal API restructuring.
  * GPSd debugging enhanced.
  * Ephemeral port range set correctly if not yet done. Related to NB#63332
  * Enable/disable GPS dialog handling changed. Fixes: NB#63487

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 17 Jul 2007 13:07:03 +0300

libgpsbt (0.2-21) unstable; urgency=low

  * Refix for NB#55866, comment in gpsbt.h made unambiguous.
  * Added support for "Enable/Disable GPS" dialog. Fixes: NB#61848
  * Non-blocking connect() when connecting to gpsdriver. Fixes: NB#61879

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 29 Jun 2007 12:22:50 +0300

libgpsbt (0.2-20) unstable; urgency=low

  * Removed the reference to NB#60091 so that integration robot accepts it.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 18 Jun 2007 16:46:45 +0300

libgpsbt (0.2-19) unstable; urgency=low

  * Comment added. Fixes: NB#55866

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 15 Jun 2007 12:24:36 +0300

libgpsbt (0.2-18) unstable; urgency=low

  * Init script run later (NB#60091)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 11 Jun 2007 09:01:30 +0300

libgpsbt (0.2-17) unstable; urgency=low

  * Added disclaimer support.
  * Clear GPS settings when user selects "Restore original settings..." or
    "Clear user data..." in the control panel.
	
 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri,  8 Jun 2007 09:25:32 +0300

libgpsbt (0.2-16) unstable; urgency=low

  * Dependency to osso-gwconnect added (because this lib uses btcond
    dbus interface)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  6 Jun 2007 09:46:11 +0300

libgpsbt (0.2-15) unstable; urgency=low

  * Refix for NB#55854, fix requires now also libgpsmgr v0.2-8 but this
    package now depends on correct libgpsmgr version. Fixes: NB#55854

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 29 May 2007 15:47:50 +0300

libgpsbt (0.2-14) unstable; urgency=low

  * If internal chip is not found, then do not activate the default
    serial port (defined in /etc/default/libgpsbt). Without this patch
    the gpsd does not seem to work correctly in N800.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 14 May 2007 10:33:55 +0300

libgpsbt (0.2-13) unstable; urgency=low

  * Removed 770 specic checks in init_pairing(), now the function is
    usable in all versions

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 10 May 2007 14:30:43 +0300

libgpsbt (0.2-12) unstable; urgency=low

  * gpsbt_init_pairing() should only be used in N770 so current hw is now
    checked
  * Extra slash removed at the end of the path when checking internal
    chip existence. Fixes: NB#55776

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  7 May 2007 10:46:05 +0300

libgpsbt (0.2-11) unstable; urgency=low

  * Information about connected GPS devices is cleared when last API
    user quits. Fixes: NB#55854

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  3 May 2007 16:14:56 +0300

libgpsbt (0.2-10) unstable; urgency=low

  * Internal GPS chip check implemented, should now work correctly in
    RX-44 (chip found) and RX-34 (chip not found)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  3 May 2007 10:08:35 +0300

libgpsbt (0.2-9) unstable; urgency=low

  * dbus_connection_close() removed as it should not be called. Fixes: NB#55306
  * /var/lib/gps/gps* permissions set correctly
  * gpsbt_stop() properly disconnects rfcomms if it is the last gps user

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 27 Apr 2007 15:19:41 +0300

libgpsbt (0.2-8) unstable; urgency=low

  * dev package now depends on osso-gpsd-dev pkg

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 25 Apr 2007 15:28:39 +0300

libgpsbt (0.2-7) unstable; urgency=low

  * Added support for pkg-config in dev package

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 24 Apr 2007 17:43:45 +0300

libgpsbt (0.2-6) unstable; urgency=low

  * gpsctrl_set_bt_devices() can now clear earlier selection

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 23 Apr 2007 17:00:46 +0300

libgpsbt (0.2-5) unstable; urgency=low

  * Backup/restore of GPS settings added
  * BT device selection API added
  * BT device accept list can be put to file by the user, see README for
    details, no API functions exists for file manipulation.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Sat, 21 Apr 2007 10:33:37 +0300

libgpsbt (0.2-4) unstable; urgency=low

  * Autoconf files are now copied and no links are created so that end user
    environment works ok
  * Internal chip status is now checked from device file
  * C++ support added to header files, Fixes: NB#53538

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 28 Mar 2007 17:08:46 +0300

libgpsbt (0.2-3) unstable; urgency=low

  * Implemented: NR#167453, NR#167454, NR#167457, NR#167458, NR#167459, NR#167461, NR#167462, NR#167895

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  6 Mar 2007 09:20:25 +0200

libgpsbt (0.2-2) unstable; urgency=low

  * Fixes: NB#52346 (clone of NB#51138) (gpsd full path in exec)
  * Fixes: NB#52344 (clone of NB#49967) (-Wall in compilations)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  1 Mar 2007 12:55:07 +0200

libgpsbt (0.2-1) unstable; urgency=low

  * Support normal serial port (non-BT) GPS devices

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 28 Feb 2007 10:15:32 +0200

libgpsbt (0.1-21) unstable; urgency=low

  * debian build dir cleanup, Fixes: NB#49967
  * -Wall set in all compilations

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 18 Jan 2007 10:51:39 +0200

libgpsbt (0.1-20) unstable; urgency=low

  * Copyright notice was missing from COPYING file

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  9 Jan 2007 13:43:35 +0200

libgpsbt (0.1-19) unstable; urgency=low

  * Dev package dependency fixed

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 21 Dec 2006 15:54:13 +0200

libgpsbt (0.1-18) unstable; urgency=low

  * Errors in lintian checks fixed. Fixes: NB#42220

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  4 Oct 2006 10:13:33 +0300

libgpsbt (0.1-17) unstable; urgency=low

  * dbg package is built

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 21 Sep 2006 11:13:30 +0300

libgpsbt (0.1-16) unstable; urgency=low

  * ldconfig called in postinst in order to satisfy lintian

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 18 Sep 2006 12:33:12 +0300

libgpsbt (0.1-15) unstable; urgency=low

  * Debugging activated by default

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Sep 2006 16:02:10 +0300

libgpsbt (0.1-14) unstable; urgency=low

  * Compilation flags fixed. Fixes: NB#38184

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 22 Aug 2006 12:51:59 +0300

libgpsbt (0.1-13) unstable; urgency=low

  * Fixed copyright notices in code.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 27 Jul 2006 12:22:48 +0300

libgpsbt (0.1-12) unstable; urgency=low

  * Increased the default dbus timeout to 60 secs, the earlier 5 sec
    timeout was too small (connections to working GPS devices could
    fail)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 26 May 2006 10:39:23 +0300

libgpsbt (0.1-11) unstable; urgency=low

  * Added GPS BT device pairing convinience function that is used if
    pairing cannot be done from UI

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 23 May 2006 13:41:22 +0300

libgpsbt (0.1-10) unstable; urgency=low

  * debug prints enhanced (dbus method call parameters are printed)
  * BT connection automatic disconnect is now compile time option
  * Test application fixed (checks EOF from gpsd socket)
  * Test application sends periodically messages to gpsd (this keeps
    also the socket to gpsd open)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 16 May 2006 16:36:21 +0300

libgpsbt (0.1-9) unstable; urgency=low

  * The created rfcomm device is not cleared automatically (it didn't
    work as expected) but gpsbt_stop() now removes the created rfcomm
    device(s)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 12 May 2006 15:47:44 +0300

libgpsbt (0.1-8) unstable; urgency=low

  * Timeout code made more clear
  * Environment variables honored
  * Dbus errors are recovered in case of reply timeout

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 11 May 2006 15:08:40 +0300

libgpsbt (0.1-7) unstable; urgency=low

  * Added heuristics to figure out which devices are GPS devices if none
    sets the positioning bit to 1

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 10 May 2006 16:36:13 +0300

libgpsbt (0.1-6) unstable; urgency=low

  * Timeout (for dbus replies) can be set in gpsbt_start()

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 10 May 2006 13:15:12 +0300

libgpsbt (0.1-5) unstable; urgency=high

  * dbus object path /org/bluez/[Adapter|Manager] fixed, the Adapter or
    Manager are no longer part of object path. Now in sync with bluez-
    utils-2.25-cvs20060504osso1

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  8 May 2006 15:48:51 +0300

libgpsbt (0.1-4) unstable; urgency=high

  * Fixed dbus interface bugs

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri,  5 May 2006 11:39:12 +0300

libgpsbt (0.1-3) unstable; urgency=low

  * Fixed dbus interface path

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  3 May 2006 15:45:21 +0300

libgpsbt (0.1-2) unstable; urgency=low

  * Fixed package dependencies

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 25 Apr 2006 14:09:01 +0300

libgpsbt (0.1-1) unstable; urgency=low

  * Initial revision

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 31 Mar 2006 10:30:06 +0200
